

# GetImageRecipe
<a name="API_GetImageRecipe"></a>

Gets an image recipe.

## Request Syntax
<a name="API_GetImageRecipe_RequestSyntax"></a>

```
GET /GetImageRecipe?imageRecipeArn=imageRecipeArn HTTP/1.1
```

## URI Request Parameters
<a name="API_GetImageRecipe_RequestParameters"></a>

The request uses the following URI parameters.

 ** [imageRecipeArn](#API_GetImageRecipe_RequestSyntax) **   <a name="imagebuilder-GetImageRecipe-request-uri-imageRecipeArn"></a>
The Amazon Resource Name (ARN) of the image recipe that you want to retrieve.  
Pattern: `^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws):image-recipe/[a-z0-9-_]+/(?:[0-9]+|x)\.(?:[0-9]+|x)\.(?:[0-9]+|x)$`   
Required: Yes

## Request Body
<a name="API_GetImageRecipe_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetImageRecipe_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "imageRecipe": { 
      "additionalInstanceConfiguration": { 
         "systemsManagerAgent": { 
            "uninstallAfterBuild": boolean
         },
         "userDataOverride": "string"
      },
      "amiTags": { 
         "string" : "string" 
      },
      "arn": "string",
      "blockDeviceMappings": [ 
         { 
            "deviceName": "string",
            "ebs": { 
               "deleteOnTermination": boolean,
               "encrypted": boolean,
               "iops": number,
               "kmsKeyId": "string",
               "snapshotId": "string",
               "throughput": number,
               "volumeSize": number,
               "volumeType": "string"
            },
            "noDevice": "string",
            "virtualName": "string"
         }
      ],
      "components": [ 
         { 
            "componentArn": "string",
            "parameters": [ 
               { 
                  "name": "string",
                  "value": [ "string" ]
               }
            ]
         }
      ],
      "dateCreated": "string",
      "description": "string",
      "name": "string",
      "owner": "string",
      "parentImage": "string",
      "platform": "string",
      "tags": { 
         "string" : "string" 
      },
      "type": "string",
      "version": "string",
      "workingDirectory": "string"
   },
   "latestVersionReferences": { 
      "latestMajorVersionArn": "string",
      "latestMinorVersionArn": "string",
      "latestPatchVersionArn": "string",
      "latestVersionArn": "string"
   },
   "requestId": "string"
}
```

## Response Elements
<a name="API_GetImageRecipe_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [imageRecipe](#API_GetImageRecipe_ResponseSyntax) **   <a name="imagebuilder-GetImageRecipe-response-imageRecipe"></a>
The image recipe object.  
Type: [ImageRecipe](API_ImageRecipe.md) object

 ** [latestVersionReferences](#API_GetImageRecipe_ResponseSyntax) **   <a name="imagebuilder-GetImageRecipe-response-latestVersionReferences"></a>
The resource ARNs with different wildcard variations of semantic versioning.  
Type: [LatestVersionReferences](API_LatestVersionReferences.md) object

 ** [requestId](#API_GetImageRecipe_ResponseSyntax) **   <a name="imagebuilder-GetImageRecipe-response-requestId"></a>
The request ID that uniquely identifies this request.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1024.

## Errors
<a name="API_GetImageRecipe_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** CallRateLimitExceededException **   
You have exceeded the permitted request rate for the specific operation.  
HTTP Status Code: 429

 ** ClientException **   
These errors are usually caused by a client action, such as using an action or resource on behalf of a user that doesn't have permissions to use the action or resource, or specifying an invalid resource identifier.  
HTTP Status Code: 400

 ** ForbiddenException **   
You are not authorized to perform the requested operation.  
HTTP Status Code: 403

 ** InvalidRequestException **   
You have requested an action that that the service doesn't support.  
HTTP Status Code: 400

 ** ServiceException **   
This exception is thrown when the service encounters an unrecoverable exception.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is unable to process your request at this time.  
HTTP Status Code: 503

## See Also
<a name="API_GetImageRecipe_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/imagebuilder-2019-12-02/GetImageRecipe) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/imagebuilder-2019-12-02/GetImageRecipe) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/imagebuilder-2019-12-02/GetImageRecipe) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/imagebuilder-2019-12-02/GetImageRecipe) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/imagebuilder-2019-12-02/GetImageRecipe) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/imagebuilder-2019-12-02/GetImageRecipe) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/imagebuilder-2019-12-02/GetImageRecipe) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/imagebuilder-2019-12-02/GetImageRecipe) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/imagebuilder-2019-12-02/GetImageRecipe) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/imagebuilder-2019-12-02/GetImageRecipe) 